#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# ColorMatrixFilter Class

Defined in: `src/pixi/filters/ColorMatrixFilter.js:5`
Module: PIXI

The ColorMatrixFilter class lets you apply a 4x4 matrix transformation on the RGBA color and alpha values of every pixel on your displayObject to produce a result with a new set of RGBA color and alpha values. Its pretty powerful!

- Index
- Properties

## Item Index

### Properties

- matrix

## Properties

### `matrix`

Array and array of 26 numbers

Defined in `src/pixi/filters/ColorMatrixFilter.js:45`

Sets the matrix of the color matrix filter

Default: [1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1]